Attribute VB_Name = "modImageConverter"
Option Explicit
'regular conversion functions
Declare Function ConvertImageToBmp Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToGif Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToTiff Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToPng Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToJpeg Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String) As Long
'thumb image creation functions
'thumbHeight - the height of the thumb image in pixels
Declare Function ConvertImageToThumbBmp Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal thumbHeight As Long, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToThumbGif Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal thumbHeight As Long, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToThumbTiff Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal thumbHeight As Long, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToThumbPng Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal thumbHeight As Long, ByVal sSaveFlName As String) As Long
Declare Function ConvertImageToThumbJpeg Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal thumbHeight As Long, ByVal sSaveFlName As String) As Long
    
'getting the image dimensions in pixels
Declare Function GetImageDimensions Lib "re_imageconv.dll" (ByVal sLoadFlName As String, nWidth As Long, nHeight As Long) As Long

'resizing the image
Declare Function ResizeImage Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String, ByVal nHeight As Long) As Long
'cropping the image
Declare Function CropImage Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String, ByVal xTop As Long, ByVal yTop As Long, ByVal croppedWidth As Long, ByVal croppedHeight As Long) As Long
' annotating the image
Declare Function AnnotateImage Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String, ByVal xLeft As Single, ByVal yLeft As Single, ByVal sAnnotation As String, ByVal FontName As String, ByVal fontpoint As Long, _
                                            ByVal bold As Long, ByVal italic As Long, ByVal under As Long, ByVal strike As Long, _
                                            ByVal crAlpha As Long, ByVal crBlue As Long, ByVal crGreen As Long, ByVal crRed As Long) As Long
Declare Function StampImage Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String, ByVal x As Single, ByVal y As Single, ByVal AnnotationImagePath As String) As Long
'rotating/flipping image
Declare Function RotateImage Lib "re_imageconv.dll" (ByVal sLoadFlName As String, ByVal sSaveFlName As String, ByVal angle As Long, ByVal flip As String) As Long

'licensing functions
Declare Sub License Lib "re_imageconv.dll" (Password As Long)

'return values for all functions:
'   0       -   success
'   -16001  -   error initializing GDI+
'   else    -   error number like file not found, etc.

' parameters
' sLoadFlName   -   the path to the input file
' sSaveFlName   -   the path to the output file
' thumbHeight   -   the height of the thumb image in pixels
' AnnotationImagePath   - the path to the image file that will be used as a stamp
