VERSION 5.00
Begin VB.Form frmAnnotate 
   Caption         =   "Annotate image"
   ClientHeight    =   5400
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7350
   LinkTopic       =   "Form1"
   ScaleHeight     =   360
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   490
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   1320
      TabIndex        =   2
      Top             =   4200
      Width           =   5895
   End
   Begin VB.PictureBox Picture1 
      Height          =   4095
      Left            =   0
      ScaleHeight     =   269
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   485
      TabIndex        =   0
      Top             =   0
      Width           =   7335
   End
   Begin VB.Label Label2 
      Caption         =   $"frmAnnotate.frx":0000
      Height          =   615
      Left            =   1320
      TabIndex        =   3
      Top             =   4680
      Width           =   5895
   End
   Begin VB.Label Label1 
      Caption         =   "Annotation:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   4200
      Width           =   975
   End
End
Attribute VB_Name = "frmAnnotate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private ratio As Single
Private Sub Form_Load()
    Dim nWidth As Long, nHeight As Long
    Dim dWidth As Long, dHeight As Long
    
    ratio = 1
    GetImageDimensions frmImageConverter.Text1.Text, nWidth, nHeight
    If nWidth / Picture1.ScaleWidth > 1 Or nHeight / Picture1.ScaleHeight > 1 Then
        If nWidth / Picture1.ScaleWidth > nHeight / Picture1.ScaleHeight Then
            ratio = nWidth / Picture1.ScaleWidth
        Else
            ratio = nHeight / Picture1.ScaleHeight
        End If
    End If
    dWidth = nWidth / ratio
    dHeight = nHeight / ratio
    ResizeImage frmImageConverter.Text1.Text, "TempImage.jpg", dHeight
    Picture1.Picture = LoadPicture("TempImage.jpg")
    
End Sub

Private Sub Picture1_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim xTop As Single, yTop As Single, realpix As Single
    If Text1.Text = "" Then Exit Sub
    xTop = x * ratio
    yTop = y * ratio
    realpix = ratio * 30
    If Text1.Enabled Then
        'we are annotating
        'first change the temporary image that we see
        AnnotateImage "TempImage.jpg", "TempImage1.jpg", x, y, Text1.Text, "Arial", 30, 1, 1, 0, 0, 255, 0, 0, 0
        'load the new picture
        Picture1.Picture = LoadPicture("TempImage1.jpg")
        Picture1.Refresh
        If frmImageConverter.Text2.Text > "" Then
             AnnotateImage frmImageConverter.Text1.Text, frmImageConverter.Text2.Text, xTop, yTop, Text1.Text, "Arial", realpix, 1, 1, 0, 0, 255, 0, 0, 0
        End If
    Else
        'we are stamping
        StampImage "TempImage.jpg", "TempImage1.jpg", x, y, Text1.Text
        'load the new image
        Picture1.Picture = LoadPicture("TempImage1.jpg")
        Picture1.Refresh
        'create the real output
        StampImage frmImageConverter.Text1.Text, frmImageConverter.Text2.Text, xTop, yTop, Text1.Text
    End If
End Sub
