VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmImageConverter 
   Caption         =   "Image Converter Sample Application"
   ClientHeight    =   4200
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5355
   LinkTopic       =   "Form1"
   ScaleHeight     =   4200
   ScaleWidth      =   5355
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkRotate90 
      Caption         =   "Rotate 90 degrees"
      Height          =   255
      Left            =   3600
      TabIndex        =   18
      Top             =   2640
      Width           =   1695
   End
   Begin VB.CommandButton Command5 
      Caption         =   "Stamp"
      Height          =   375
      Left            =   3600
      TabIndex        =   17
      Top             =   3720
      Width           =   1695
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Annotate"
      Height          =   375
      Left            =   3600
      TabIndex        =   16
      Top             =   3360
      Width           =   1695
   End
   Begin VB.CheckBox chkCrop 
      Caption         =   "Crop Image"
      Height          =   255
      Left            =   3600
      TabIndex        =   15
      Top             =   2400
      Width           =   1695
   End
   Begin VB.CheckBox chkResize 
      Caption         =   "Resize Image"
      Height          =   255
      Left            =   3600
      TabIndex        =   14
      Top             =   2160
      Width           =   1695
   End
   Begin VB.CheckBox chkThumb 
      Caption         =   "Thumb Image"
      Height          =   255
      Left            =   3600
      TabIndex        =   13
      Top             =   1920
      Width           =   1695
   End
   Begin VB.Frame Frame1 
      Caption         =   "Output image type"
      Height          =   2295
      Left            =   120
      TabIndex        =   7
      Top             =   1800
      Width           =   3375
      Begin VB.OptionButton optImage 
         Caption         =   "PNG (.png)"
         Height          =   255
         Index           =   4
         Left            =   240
         TabIndex        =   12
         Tag             =   "png"
         Top             =   1200
         Width           =   2895
      End
      Begin VB.OptionButton optImage 
         Caption         =   "GIF (.gif)"
         Height          =   255
         Index           =   3
         Left            =   240
         TabIndex        =   11
         Tag             =   "gif"
         Top             =   960
         Width           =   2895
      End
      Begin VB.OptionButton optImage 
         Caption         =   "TIFF (.tiff)"
         Height          =   255
         Index           =   2
         Left            =   240
         TabIndex        =   10
         Tag             =   "tiff"
         Top             =   720
         Width           =   2895
      End
      Begin VB.OptionButton optImage 
         Caption         =   "JPEG (.jpg)"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   9
         Tag             =   "jpg"
         Top             =   480
         Width           =   2895
      End
      Begin VB.OptionButton optImage 
         Caption         =   "Bitmap (.bmp)"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   8
         Tag             =   "bmp"
         Top             =   240
         Width           =   2895
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   4800
      Top             =   1680
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Convert"
      Height          =   375
      Left            =   3600
      TabIndex        =   6
      Top             =   3000
      Width           =   1695
   End
   Begin VB.CommandButton Command2 
      Caption         =   ".."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   4800
      TabIndex        =   5
      Top             =   1320
      Width           =   495
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   120
      TabIndex        =   4
      Top             =   1320
      Width           =   4695
   End
   Begin VB.CommandButton Command1 
      Caption         =   ".."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   4800
      TabIndex        =   2
      Top             =   480
      Width           =   495
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   4695
   End
   Begin VB.Label Label2 
      Caption         =   "Output Image:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   960
      Width           =   2175
   End
   Begin VB.Label Label1 
      Caption         =   "Image to convert:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2175
   End
End
Attribute VB_Name = "frmImageConverter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private lngThumbHeight As Long
Private Type CROP_DIMS
    x As Long
    y As Long
    width As Long
    height As Long
End Type
Private cr As CROP_DIMS

Private Sub chkCrop_Click()
    Dim frm As Form
    If chkCrop.Value <> 0 Then
        chkThumb.Value = 0
        chkResize.Value = 0
        Set frm = New frmCrop
        frm.Show vbModal
        cr.x = Val(frm.xdim.Text)
        cr.y = Val(frm.ydim.Text)
        cr.width = Val(frm.xwidth.Text)
        cr.height = Val(frm.yheight.Text)
        Unload frm
        Set frm = Nothing
    End If
End Sub

Private Sub chkResize_Click()
    If chkResize.Value <> 0 Then
        chkThumb.Value = 0
        lngThumbHeight = Val(InputBox$("Please enter the height of the resized image in pixels", "Creating resized image...", 480))
    End If
End Sub

Private Sub chkThumb_Click()
    If chkThumb.Value <> 0 Then
        chkResize.Value = 0
        lngThumbHeight = Val(InputBox$("Please enter the height of the thumb image in pixels", "Creating thumb image...", 50))
    End If
End Sub

Private Sub Command1_Click()
    Dim i As Long
    Dim bSet As Boolean
    With CommonDialog1
        .DialogTitle = "Select file to upload"
        .Filter = "All Images (*.bmp;*.gif;*tiff;*.jpg;*.png)|*.bmp;*.gif;*tiff;*.jpg;*.png|Bitmap files (*.bmp)|*.bmp|JPEG files (*.jpg)|*.jpg|GIF files (*.gif)|*.gif|TIFF files (*.tiff)|*.tiff|PNG files (*.png)|*.png"
        .Flags = cdlOFNFileMustExist Or cdlOFNHideReadOnly
        .CancelError = True
        On Error Resume Next
        .ShowOpen
        If Err = 0 Then
            Text1.Text = .FileName
            For i = 0 To optImage.Count - 1
                If LCase$(optImage(i).Tag) = LCase$(ExtractExtension(Text1.Text)) Then
                    optImage(i).Value = False
                    'optImage(i).Enabled = False    '//allow the same type output
                Else
                    If Not bSet Then
                        bSet = True
                        optImage(i).Value = True
                    Else
                        optImage(i).Value = False
                    End If
                    optImage(i).Enabled = True
                End If
            Next
        End If
    End With

End Sub
Private Function SelectedType() As String
    Dim i As Long
    For i = 0 To optImage.Count - 1
        If optImage(i).Value Then SelectedType = optImage(i).Tag: Exit Function
    Next
End Function
Private Sub Command2_Click()
    Dim sFolder As String
    sFolder = strChooseFolder(Me.hWnd, "Select output folder")
    If Len(sFolder) Then
        Text2.Text = WithSlash(sFolder) & ExtractBase(Text1.Text) & "." & SelectedType()
    End If
End Sub

Private Sub Command3_Click()
    Dim bDoIt As Boolean
    On Error GoTo errSub
    If Text1.Text > "" And Text2.Text > "" Then
        If Dir$(Text1.Text) > "" Then
            If Dir$(Text2.Text) > "" Then
                If MsgBox(Text2.Text & " file exists. Overwrite it?", vbYesNo, "Please verify...") = vbYes Then
                    bDoIt = False
                End If
            Else
                bDoIt = True
            End If
            If bDoIt Then
                ConvertFile
                MsgBox "Done"
            End If
        End If
    End If
    Exit Sub
errSub:
    MsgBox Err.Description
End Sub
Sub ConvertFile()
    If chkThumb.Value <> 0 And lngThumbHeight > 0 Then
        Select Case LCase$(ExtractExtension(Text2.Text))
            Case "bmp": ConvertImageToThumbBmp Text1.Text, lngThumbHeight, Text2.Text
            Case "tiff": ConvertImageToThumbTiff Text1.Text, lngThumbHeight, Text2.Text
            Case "gif": ConvertImageToThumbGif Text1.Text, lngThumbHeight, Text2.Text
            Case "jpg": ConvertImageToThumbJpeg Text1.Text, lngThumbHeight, Text2.Text
            Case "png": ConvertImageToThumbPng Text1.Text, lngThumbHeight, Text2.Text
        End Select
    ElseIf chkResize.Value <> 0 And lngThumbHeight > 0 Then
        ResizeImage Text1.Text, Text2.Text, lngThumbHeight
    ElseIf chkCrop.Value <> 0 Then
        CropImage Text1.Text, Text2.Text, cr.x, cr.y, cr.width, cr.height
    ElseIf chkRotate90.Value <> 0 Then
        RotateImage Text1.Text, Text2.Text, 90, ""
    Else
        Select Case LCase$(ExtractExtension(Text2.Text))
            Case "bmp": ConvertImageToBmp Text1.Text, Text2.Text
            Case "tiff": ConvertImageToTiff Text1.Text, Text2.Text
            Case "gif": ConvertImageToGif Text1.Text, Text2.Text
            Case "jpg": ConvertImageToJpeg Text1.Text, Text2.Text
            Case "png": ConvertImageToPng Text1.Text, Text2.Text
        End Select
    End If
End Sub

Private Sub Command4_Click()
    frmAnnotate.Show vbModal
End Sub

Private Sub Command5_Click()
    Dim sImage As String
    With CommonDialog1
        .DialogTitle = "Select image file to use as a stamp"
        .Filter = "All Images (*.bmp;*.gif;*tiff;*.jpg;*.png)|*.bmp;*.gif;*tiff;*.jpg;*.png|Bitmap files (*.bmp)|*.bmp|JPEG files (*.jpg)|*.jpg|GIF files (*.gif)|*.gif|TIFF files (*.tiff)|*.tiff|PNG files (*.png)|*.png"
        .Flags = cdlOFNFileMustExist Or cdlOFNHideReadOnly
        .CancelError = True
        On Error Resume Next
        .ShowOpen
        If Err = 0 Then
            sImage = .FileName
        End If
    End With
    If sImage > "" Then
        Dim frm As New frmAnnotate
        frm.Label1.Caption = "Overstamp Image Path"
        frm.Label1.width = 130
        frm.Text1.Left = frm.Label1.Left + frm.Label1.width
        frm.Text1.width = frm.ScaleWidth - frm.Text1.Left - 50
        frm.Label2.Left = frm.Text1.Left
        frm.Label2.width = frm.Text1.width
        frm.Label2.Caption = "Click the picture where the left upper corner of the stamp image should appear. Upon clicking the stamped image will be saved."
        frm.Text1.Text = sImage
        frm.Text1.Enabled = False
        frm.Show vbModal
    End If
End Sub

Private Sub Form_Load()
    License Licno
End Sub
